Subject: Re: Clemens-August Thole's MIMD proposal

From: [email-masked] (Min-You Wu)
Date: Sun, 19 Jul 92 11:26:17 EDT

> The PARALLEL DO is used to specify parallel execution of the iterations of
> a block of code. Each iteration of a PARALLEL DO is an independent unit
> of work. The iterations of PARALLEL DO must be data independent. Iterations
> are data independent if the storage sequence accociated with each variable
> are array element that is assigned a value by each iteration is not referenced
> by any other iteration. 
> 

How about anti-dependence and output dependence?  For example, the 
following loop is not a correct PARALLEL DO loop since there is an 
anti-dependence:

      PARALLEL DO (i = 1:N)
        ...  = x(i+1)
        x(i) = ...
      END DO

Min-You